Unsupported Zulu JDK?

Having trouble installing <oXygen/>? Got a bug to report? Post it all here.
ttasovac
Posts: 55
Joined: Fri Dec 19, 2003 6:02 pm

Unsupported Zulu JDK?

Post by ttasovac » Fri Apr 30, 2021 10:32 am

Hi.

The downloads page has the experimental version of 23.1 for Apple silicon computers which doesn't come bundled with Java. I installed Zulu JDK FX 15 as recommended, and then oXygen, but starting it gives me:

Code: Select all

The Java Virtual Machine (JVM) used to launch <oXygen/> XML Editor is not supported.
 JAVA_HOME=/Library/Java/JavaVirtualMachines/zulu-15.jdk/Contents/Home

Problems may occur when running the application with an unsupported Java Virtual Machine.

It is recommended to either get the <oXygen/> XML Editor distribution that includes a JVM
(if available for your platform) or download a Java Runtime Environment (JRE) from Oracle:

http://www.oracle.com/technetwork/java/  
I can't find any specific instructions for this combo. Could you please clarify instructions on how to install and run on systems with an M1 processor?

All best,
Toma

Radu
Posts: 7469
Joined: Fri Jul 09, 2004 5:18 pm

Re: Unsupported Zulu JDK?

Post by Radu » Fri Apr 30, 2021 9:44 pm

Hi Toma,

You should ignore that warning given by Oxygen when running with Zulu JDK, indeed we do not officially support it but unofficially we worked with it and there did not seem to be any problems.
In a future version we'll have a better integration for M1 processors by providing an Oxygen installation which comes bundled with its own Java.

Regards,
Radu
Radu Coravu
<oXygen/> XML Editor
http://www.oxygenxml.com

ttasovac
Posts: 55
Joined: Fri Dec 19, 2003 6:02 pm

Re: Unsupported Zulu JDK?

Post by ttasovac » Sat May 01, 2021 11:37 am

Thanks, Radu!

Post Reply